Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Interface GlobalTitleEntryMBean

public abstract interface GlobalTitleEntryMBean
extends SccpManagedObjectMBean

This class represents a Global Title entry (a combination of the global title translator and global title rule). The Global Title Entry is used to translate dialed digits into the appropriate user address based on the Global Title indicator and encoding schemes. The Global Title Indicator attribute is derived from the combination of Nature of Address, the Translation Type, and Numbering Plan used and therefore indicates which values are present.

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the SCCP JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `ES_EVEN` Encoding Scheme constant:Encoding Scheme constants: Indicates a BCD, with an even number of digits.
`static int` | `ES_NATIONAL_SPECIFIC` Encoding Scheme constant:Indicates National Specific encoding scheme for ITU.
`static int` | `ES_ODD` Encoding Scheme constant:Indicates BCD, odd number of digits.
`static int` | `ES_UNKNOWN` Encoding Scheme constant: Indicates an unknown encoding scheme.
`static int` | `GTINDICATOR_0001` A Global title indicator constant: indicator = 0001
`static int` | `GTINDICATOR_0010` A Global title indicator constant: indicator = 0010
`static int` | `GTINDICATOR_0011` A Global title indicator constant: indicator = 0011
`static int` | `GTINDICATOR_0100` A Global title indicator constant: indicator = 0100
`static int` | `NA_INTERNATIONAL` Nature of Address Indicator constant: Indicates an international number.
`static int` | `NA_NATIONAL_SIGNIFICANT` Nature of Address Indicator constant: Indicates a National Significant Number.
`static int` | `NA_RESERVED` Nature of Address Indicator constant: Reserved for national use.
`static int` | `NA_SUBSCRIBER` Nature of Address Indicator constant: Indicates a subsciber number.
`static int` | `NA_UNKNOWN` Nature of Address Indicator constant: Indicates a unknown Nature of Address Indicator.
`static int` | `NP_DATA` Numbering Plan Constant: Data Numbering Plan.
`static int` | `NP_GENERIC` Numbering Plan Constant: Generic Numbering Plan.
`static int` | `NP_ISDN_MOBILE` Numbering Plan Constant: ISDN/Mobile Numbering Plan.
`static int` | `NP_ISDN_TEL` Numbering Plan Constant: ISDN/Telephony Numbering Plan.
`static int` | `NP_LAND_MOBILE` Numbering Plan Constant: Land/Mobile Numbering Plan.
`static int` | `NP_MARITIME_MOBILE` Numbering Plan Constant: Maritime Mobile Numbering Plan.
`static int` | `NP_NETWORK` Numbering Plan Constant: Private Network or Network Specific Numbering Plan.
`static int` | `NP_TELEX` Numbering Plan Constant: Telex Numbering Plan.
`static int` | `NP_UNKOWN` Numbering Plan Constant: Unkown Numbering Plan.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`java.lang.Byte[]` | `getAddressInformation()` Gets the Address Information of this Global Title Entry.
`java.lang.Integer` | `getEncodingScheme()` Gets the Encoding Scheme of this Global Title Entry.
`java.lang.Integer` | `getGTIndicator()` Returns the Global Title indicator.
`java.lang.Integer` | `getNatureOfAddrInd()` Gets the Nature of Address Indicator of this Global Title Entry.
`java.lang.Integer` | `getNumberingPlan()` Gets the Numbering Plan of this Global Title Entry.
`ObjectName` | `getSccpEntitySet()` Returns the ObjectName of the Entity Set of this GlobalTitle Entry.
`java.lang.Byte` | `getTranslationType()` Gets the Translation Type of this Global Title Entry
`java.lang.Boolean` | `isLocked()` Returns the Administrative state parameter of this Global Title Entry.
`void` | `setAddressInformation(java.lang.Byte[] addressInformation)` Sets the Address Information of this Global Title Entry.
`void` | `setEncodingScheme(java.lang.Integer encodingScheme)` Sets the Encoding Scheme of this Global Title Entry.
`void` | `setGTIndicator(java.lang.Integer indicator)` Sets the Global Title indicator.
`void` | `setLocked(java.lang.Boolean locked)` Sets the Administrative state of this Global Title Entry.
`void` | `setNatureOfAddrInd(java.lang.Integer natureOfAddrInd)` Sets the Nature of Address Indicator of this Global Title Entry.
`void` | `setNumberingPlan(java.lang.Integer numberingPlan)` Sets the Numbering Plan of this Global Title Entry.
`void` | `setSccpEntitySet(ObjectName sccpEntitySet)` Sets the Entity Set of this GlobalTitle Entry identified by the specified ObjectName.
`void` | `setTranslationType(java.lang.Byte translationType)` Sets the Translation Type of this Global Title Entry

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### GTINDICATOR_0001

    public static final int GTINDICATOR_0001

  A Global title indicator constant: indicator = 0001

### GTINDICATOR_0010

    public static final int GTINDICATOR_0010

  A Global title indicator constant: indicator = 0010

### GTINDICATOR_0011

    public static final int GTINDICATOR_0011

  A Global title indicator constant: indicator = 0011

### GTINDICATOR_0100

    public static final int GTINDICATOR_0100

  A Global title indicator constant: indicator = 0100

### NP_UNKOWN

    public static final int NP_UNKOWN

  Numbering Plan Constant: Unkown Numbering Plan.

### NP_ISDN_TEL

    public static final int NP_ISDN_TEL

  Numbering Plan Constant: ISDN/Telephony Numbering Plan.

### NP_GENERIC

    public static final int NP_GENERIC

  Numbering Plan Constant: Generic Numbering Plan.

### NP_DATA

    public static final int NP_DATA

  Numbering Plan Constant: Data Numbering Plan.

### NP_TELEX

    public static final int NP_TELEX

  Numbering Plan Constant: Telex Numbering Plan.

### NP_MARITIME_MOBILE

    public static final int NP_MARITIME_MOBILE

  Numbering Plan Constant: Maritime Mobile Numbering Plan.

### NP_LAND_MOBILE

    public static final int NP_LAND_MOBILE

  Numbering Plan Constant: Land/Mobile Numbering Plan.

### NP_ISDN_MOBILE

    public static final int NP_ISDN_MOBILE

  Numbering Plan Constant: ISDN/Mobile Numbering Plan.

### NP_NETWORK

    public static final int NP_NETWORK

  Numbering Plan Constant: Private Network or Network Specific Numbering Plan.

### NA_UNKNOWN

    public static final int NA_UNKNOWN

  Nature of Address Indicator constant: Indicates a unknown Nature of Address Indicator.

### NA_SUBSCRIBER

    public static final int NA_SUBSCRIBER

  Nature of Address Indicator constant: Indicates a subsciber number.

### NA_RESERVED

    public static final int NA_RESERVED

  Nature of Address Indicator constant: Reserved for national use.

### NA_NATIONAL_SIGNIFICANT

    public static final int NA_NATIONAL_SIGNIFICANT

  Nature of Address Indicator constant: Indicates a National Significant Number.

### NA_INTERNATIONAL

    public static final int NA_INTERNATIONAL

  Nature of Address Indicator constant: Indicates an international number.

### ES_UNKNOWN

    public static final int ES_UNKNOWN

  Encoding Scheme constant: Indicates an unknown encoding scheme.

### ES_ODD

    public static final int ES_ODD

  Encoding Scheme constant:Indicates BCD, odd number of digits.

### ES_EVEN

    public static final int ES_EVEN

  Encoding Scheme constant:Encoding Scheme constants: Indicates a BCD, with an even number of digits.

### ES_NATIONAL_SPECIFIC

    public static final int ES_NATIONAL_SPECIFIC

  Encoding Scheme constant:Indicates National Specific encoding scheme for ITU.

Method Detail

### getGTIndicator

    public java.lang.Integer getGTIndicator()

  Returns the Global Title indicator. The Global Title Indicator attribute is derived from the combination of Nature of Address, the Translation Type, and Numbering Plan used.
  Returns:
    either:

    - GTINDICATOR_0000
    - GTINDICATOR_0001
    - GTINDICATOR_0010
    - GTINDICATOR_0011
    - GTINDICATOR_0100

### setGTIndicator

    public void setGTIndicator(java.lang.Integer indicator)
                        throws java.lang.IllegalArgumentException

  Sets the Global Title indicator. The Global Title Indicator attribute is derived from the combination of Nature of Address, the Translation Type, and Numbering Plan used.
  Parameters:
    `indicator` - one of the Global Title Indicator constants:

    - GTINDICATOR_0000
    - GTINDICATOR_0001
    - GTINDICATOR_0010
    - GTINDICATOR_0011
    - GTINDICATOR_0100
  Throws:
    java.lang.IllegalArgumentException - - if the suppled indicator is not one of the defined Global Tilte Indicator constants

### setAddressInformation

    public void setAddressInformation(java.lang.Byte[] addressInformation)
                               throws java.lang.IllegalArgumentException

  Sets the Address Information of this Global Title Entry.
  Parameters:
    `addressInformation` - - the GlobalTitle Address Information subparameter is composed of digits in the form of Binary Coded Decimal(BCD).
  Throws:
    java.lang.IllegalArgumentException - - if the supplied address information is in an unnacceptable format

### getAddressInformation

    public java.lang.Byte[] getAddressInformation()

  Gets the Address Information of this Global Title Entry.
  Returns:
    - the GlobalTitle Address Information subparameter is composed of digits in the form of Binary Coded Decimal(BCD).

### setSccpEntitySet

    public void setSccpEntitySet(ObjectName sccpEntitySet)

  Sets the Entity Set of this GlobalTitle Entry identified by the specified ObjectName. The supplied entitiy set specifies the user address to be derived from this global title translation.
  Parameters:
    `sccpEntitySet` - the ObjectName of the SCCP Set entity (which determines the Subsystem number and signalling point code).

### getSccpEntitySet

    public ObjectName getSccpEntitySet()

  Returns the ObjectName of the Entity Set of this GlobalTitle Entry. The returned entitiy set identifies the user address to be derived from this global title translation.
  Returns:
    the SCCP entity Set(which determines the Subsystem number and signalling point code).

### setNatureOfAddrInd

    public void setNatureOfAddrInd(java.lang.Integer natureOfAddrInd)
                            throws java.lang.IllegalArgumentException

  Sets the Nature of Address Indicator of this Global Title Entry.
  Parameters:
    `natureOfAddrInd` - one of the following:

    - NA_UNKNOWN Indicates a unknown Nature of Address
    - NA_SUBSCRIBERIndicates a subscriber number
    - NA_RESERVED RESERVED for national use Nature of Address Indicator
    - NA_NATIONAL_SIGNIFICANT Indicates a National Significant Number
    - NA_INTERNATIONAL Indicates an international number
  Throws:
    java.lang.IllegalArgumentException - if the supplied indicator is not one of the defined constants

### getNatureOfAddrInd

    public java.lang.Integer getNatureOfAddrInd()

  Gets the Nature of Address Indicator of this Global Title Entry.
  Returns:
    one of the following:

    - NA_UNKNOWN Indicates a unknown Nature of Address
    - NA_SUBSCRIBERIndicates a subscriber number
    - NA_RESERVED Reserved for national use Nature of Address Indicator
    - NA_NATIONAL_SIGNIFICANT Indicates a National Significant Number
    - NA_INTERNATIONAL Indicates an international number

### setNumberingPlan

    public void setNumberingPlan(java.lang.Integer numberingPlan)
                          throws java.lang.IllegalArgumentException

  Sets the Numbering Plan of this Global Title Entry.
  Returns:
    one of the Numbering Plan constants:

    - NP_UNKOWN Indicates an unkown Numbering Plan
    - NP_ISDN_TELIndicates ISDN/Telephony Numbering Plan
    - NP_RESERVED Indicates a resrved Numbering plan in ANSI.
    - NP_DATA Indicates Data Numbering Plan
    - NP_TELEX Indicates a Telex Numbering Plan
    - NP_MARITIME_MOBILEIndicates a Maritime Mobile Numbering Plan
    - NP_LAND_MOBILE Indicates a Land Mobile Numbering Plan
    - NP_ISDN_MOBILE Indicates an ISDN Mobile Numbering Plan
  Throws:
    java.lang.IllegalArgumentException - - if the supplied numbering plan is not one of the defined numbering plan constants

### getNumberingPlan

    public java.lang.Integer getNumberingPlan()

  Gets the Numbering Plan of this Global Title Entry.
  Returns:
    one of the Numbering Plan constants:

    - NP_UNKOWN Indicates an unkown Numbering Plan
    - NP_ISDN_TELIndicates ISDN/Telephony Numbering Plan
    - NP_RESERVED Indicates a resrved Numbering plan in ANSI.
    - NP_DATA Indicates Data Numbering Plan
    - NP_TELEX Indicates a Telex Numbering Plan
    - NP_MARITIME_MOBILEIndicates a Maritime Mobile Numbering Plan
    - NP_LAND_MOBILE Indicates a Land Mobile Numbering Plan
    - NP_ISDN_MOBILE Indicates an ISDN Mobile Numbering Plan

### getTranslationType

    public java.lang.Byte getTranslationType()

  Gets the Translation Type of this Global Title Entry
  Returns:
    the Translation Type

### setTranslationType

    public void setTranslationType(java.lang.Byte translationType)

  Sets the Translation Type of this Global Title Entry
  Parameters:
    `translationType` - the Translation Type

### setEncodingScheme

    public void setEncodingScheme(java.lang.Integer encodingScheme)
                           throws java.lang.IllegalArgumentException

  Sets the Encoding Scheme of this Global Title Entry.
  Parameters:
    `encodingScheme` - one of the Encoding Scheme constants

    - ES_UNKNOWN Indicates an unknown encoding scheme.
    - ES_ODDIndicates BCD, odd number of digits
    - ES_EVEN Indicates BCD, even number of digits
    - ES_NATIONAL_SPECIFIC Indicates a national specific
  Throws:
    java.lang.IllegalArgumentException - - if the supplied encoding scheme is not one of the defined Encoding Scheme constants

### getEncodingScheme

    public java.lang.Integer getEncodingScheme()

  Gets the Encoding Scheme of this Global Title Entry.
  Returns:
    one of the Encoding Scheme constants:

    - ES_UNKNOWN Indicates an unknown encoding scheme.
    - ES_ODDIndicates BCD, odd number of digits
    - ES_EVEN Indicates BCD, even number of digits
    - ES_NATIONAL_SPECIFIC Indicates a national specific

### setLocked

    public void setLocked(java.lang.Boolean locked)

  Sets the Administrative state of this Global Title Entry.
  Parameters:
    `locked` - either

    - True - locked
    - False - Not locked

### isLocked

    public java.lang.Boolean isLocked()

  Returns the Administrative state parameter of this Global Title Entry.
  Returns:
    either

    - True - locked
    - False - Not locked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems